Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Protected Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.DocumentContainer Class Reference

DocumentContainer gives access to manage documents. Documents can be used in projects (Project). More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.DocumentContainer:

## Public Member Functions
override Document | GetChild (DocumentInfo documentInfo)
| Gets a Document based on a DocumentInfo. More...
Document | GetDocument (DocumentInfo documentInfo)
| This method is deprecated. Please use GetChild(DocumentInfo) instead. More...
DocumentInfo | CreateDocument (string name, string suffix, DocumentType type, Stream content)
| Creates a document with the specific name, suffix, type and content. More...
void | DeleteDocument (DocumentInfo documentInfo)
| Deletes a document specified by an info object. More...
override DocumentInfo | CopyFrom (ICoreInfo coreInfo)
| Copies a document from another container. More...
override DocumentInfo | RefreshChild (DocumentInfo childInfo)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< Document, DocumentInfo >
void | DisposeChild (ICoreObject coreObject)
bool | IsParentOf (ICoreObject coreObject)
abstract TChildInfo | RefreshChild (TChildInfo childInfo)
void | RefreshChildren ()
virtual TChild | GetChild (TChildInfo childInfo)
virtual IList< TChild > | GetChildren (IEnumerable< TChildInfo > childrenInfos=null)
virtual OperationInfo | CanCreateChild ()
virtual TChildInfo | CreateChild ()
virtual OperationInfo | CanDeleteChild (TChildInfo childInfo)
virtual void | DeleteChild (TChildInfo childInfo, bool forceDelete=false)
virtual OperationInfo | CanMoveFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | MoveFrom (ICoreInfo coreInfo)
virtual OperationInfo | CanCopyFrom (ICoreInfo coreInfo, bool deepCheck=true)
virtual TChildInfo | CopyFrom (ICoreInfo coreInfo)

## Protected Member Functions
override IEnumerable< DocumentInfo > | GetChildrenInfos ()
| Gets the children infos.
virtual Document | CreateNewInstance (Guid coreObjectId, DocumentInfo documentInfo)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< Document, DocumentInfo >
| CoreObjectWithChildren (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
TChildInfo | RefreshChild (Predicate< TChildInfo > predicate, object childInformation)
| Refreshes all infos and returns the appropriate info. More...

## Properties
ICoreObjectWithDocuments | Parent`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectWithChildren< Document, DocumentInfo >
IList< TChildInfo > | ChildrenInfos`[get, protected set]`

## Detailed Description

DocumentContainer gives access to manage documents. Documents can be used in projects (Project).

## Member Function Documentation

## ◆ CopyFrom()

override DocumentInfo Ofcas.Lk.Api.Client.Core.DocumentContainer.CopyFrom | ( | ICoreInfo | coreInfo | ) |

Copies a document from another container.

Parameters

  coreInfo | Specifies the document.

Returns
  The document which should be copied.

## ◆ CreateDocument()

DocumentInfo Ofcas.Lk.Api.Client.Core.DocumentContainer.CreateDocument | ( | string | name,
|  | string | suffix,
|  | DocumentType | type,
|  | Stream | content
| ) |  |

Creates a document with the specific name, suffix, type and content.

Parameters

  name | Specifies the name of the document.
  suffix | Specifies the suffix of the document.
  type | Specifies the type of the document.
  content | Specifies the content of the document.

Returns
  Returns the newly created document as info object.

## ◆ DeleteDocument()

void Ofcas.Lk.Api.Client.Core.DocumentContainer.DeleteDocument | ( | DocumentInfo | documentInfo | ) |

Deletes a document specified by an info object.

Parameters

  documentInfo | Specifies the document to be deleted.

## ◆ GetChild()

override Document Ofcas.Lk.Api.Client.Core.DocumentContainer.GetChild | ( | DocumentInfo | documentInfo | ) |

Gets a Document based on a DocumentInfo.

Parameters

  documentInfo | The DocumentInfo of the Document to be returned.

Returns
  Returns a Document based on the given DocumentInfo.

## ◆ GetDocument()

Document Ofcas.Lk.Api.Client.Core.DocumentContainer.GetDocument | ( | DocumentInfo | documentInfo | ) |

This method is deprecated. Please use GetChild(DocumentInfo) instead.

The documentation for this class was generated from the following file:

- DocumentContainer.cs